LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XAutoStyle Interface Reference

This interface allows access to a single automatic style. More...

`import"XAutoStyle.idl";`

Inheritance diagram for XAutoStyle:

## Exported Interfaces
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XMultiPropertyStates

## Public Member Functions
com::sun::star::beans::PropertyValues | getProperties ()
| returns a sequence of all properties that are set in the style More...
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

This interface allows access to a single automatic style.

## Exported Interfaces

## ◆ com::sun::star::beans::XMultiPropertySet

interface com::sun::star::beans::XMultiPropertySet

## ◆ com::sun::star::beans::XMultiPropertyStates

interface com::sun::star::beans::XMultiPropertyStates

## Member Function Documentation

## ◆ getProperties()

com::sun::star::beans::PropertyValues getProperties | ( |  | ) |

returns a sequence of all properties that are set in the style

The documentation for this interface was generated from the following file:

- com/sun/star/style/XAutoStyle.idl